For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
BlogLog InRequest Demo
HomeProductDevelopersSelf-HostingChangelog
HomeProductDevelopersSelf-HostingChangelog
  • Getting Started
    • Overview
  • Workflows SDK
    • Introduction
    • Installation
    • Core Concepts
    • Defining Control Flow
    • Configuration
    • Custom Docker Images
  • Client SDK
    • Introduction
    • Authentication
    • API Versioning
      • POSTExecute Workflow
      • POSTExecute Workflow Async
      • STREAMExecute Workflow as Stream
      • GETCheck Workflow Execution Status
      • POSTSubmit Workflow Execution Actuals
        • STREAMExecute Workflow Deployment as Stream
        • GETList Workflow Deployments
        • GETList Workflow Deployment Releases
        • GETRetrieve Workflow Deployment
        • GETRetrieve Workflow Deployment Release
        • GETRetrieve Workflow Deployment Release Tag
        • GETList Workflow Deployment Release Tags
        • PATCHUpdate Workflow Deployment Release Tag
        • GETRetrieve Workflow Deployment History
        • GETList Workflow Deployment Executions
        • GETRetrieve Workflow Deployment Execution
LogoLogo
BlogLog InRequest Demo
Client SDKWorkflowsWorkflow Deployments

Retrieve Workflow Deployment History

Deprecated
GET
https://api.vellum.ai/v1/workflow-deployments/:id/history/:history_id_or_release_tag
GET
/v1/workflow-deployments/:id/history/:history_id_or_release_tag
1import requests
2
3url = "https://api.vellum.ai/v1/workflow-deployments/id/history/history_id_or_release_tag"
4
5headers = {"X-API-KEY": "<apiKey>"}
6
7response = requests.get(url, headers=headers)
8
9print(response.json())
200Retrieved
1{
2 "id": "string",
3 "workflow_deployment_id": "string",
4 "timestamp": "2024-01-15T09:30:00Z",
5 "label": "string",
6 "name": "string",
7 "input_variables": [
8 {
9 "id": "string",
10 "key": "string",
11 "type": "STRING",
12 "required": true,
13 "default": {
14 "type": "STRING",
15 "value": "string"
16 },
17 "extensions": {
18 "color": "string",
19 "description": "string",
20 "title": "string"
21 },
22 "schema": {}
23 }
24 ],
25 "output_variables": [
26 {
27 "id": "string",
28 "key": "string",
29 "type": "STRING",
30 "required": true,
31 "default": {
32 "type": "STRING",
33 "value": "string"
34 },
35 "extensions": {
36 "color": "string",
37 "description": "string",
38 "title": "string"
39 },
40 "schema": {}
41 }
42 ],
43 "description": "string"
44}

DEPRECATED: This endpoint is deprecated and will be removed in a future release. Please use the retrieve_workflow_deployment_release endpoint instead.

Was this page helpful?
Previous

List Workflow Deployment Executions

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

history_id_or_release_tagstringRequiredformat: "uuid"
Either the UUID of Workflow Deployment History Item you'd like to retrieve, or the name of a Release Tag that's pointing to the Workflow Deployment History Item you'd like to retrieve.
idstringRequired
Either the Workflow Deployment's ID or its unique name

Headers

X-API-VersionstringOptional

Response

idstringformat: "uuid"
workflow_deployment_idstringformat: "uuid"
timestampstringformat: "date-time"
labelstring<=150 characters

A human-readable label for the workflow deployment

namestring<=150 characters
A name that uniquely identifies this workflow deployment within its workspace
input_variableslist of objects
output_variableslist of objects
descriptionstring or null

A human-readable description of the workflow deployment